IAcSmEnumProjectPointLocation

提供:GizmoLabs - だいたい CAD LISP なサイト

IAcSmProjectPointLocation オブジェクトの Enumerator


使用可能なメソッド

(setq cad (vlax-get-acad-object))
(setq ssmgr (vla-GetInterfaceObject cad "BricscadSm.AcSmSheetSetMgr"))
(setq smdb (vlax-invoke-method ssmgr 'OpenDatabase dstfile))
(setq iter (vlax-invoke-method smdb 'GetEnumerator))
(setq ppLocations (scanUntilObject iter "AcSmProjectPointLocations"))
(setq iter (vlax-invoke-method ppLocations 'GetEnumerator))
  • MEMO:
"(scanUntilObject) "は、"<LDSP>/SheetSetManager-Lisp-API/LISP Sample Code" フォルダのサンプルLispファイルに含まれるユーティリティ関数である。


項目 内容
Next を繰り返し,実際の要素を返す。
(while obj  (setq obj  (vlax-invoke-method iter 'Next)))

HRESULT Next ([out, retval] IAcSmProjectPointLocation** location)
Reset 列挙子を最初の要素にリセットする。
(vlax-invoke-method iter 'Reset)

HRESULT Reset ()



関連記事